
TYPO3.Form - Bug # 42562

Status: Resolved Priority: Should have
Author: Martin Brüggemann Category:
Created: 2012-10-31 Assigned To: Bastian Waidelich
Updated: 2013-10-29 Due date:
Subject: Interrupt form rendering when redirect finisher is triggered
Description

There's a bug, that outputs content while a POST request is beeing processed by Flow. There should only be one redirect to the show
action after the POST request has been processed. Otherwise it's very strange to see the "old" content after the POST data has been
sent (f.e. after having added a comment but it's not there after the first redirect).

Associated revisions
Revision 94051a11 - 2013-10-21 16:58 - Bastian Waidelich

[BUGFIX] Make RedirectFinisher interact with main response

This makes sure that redirection headers & content are set in the
main Response object not in the SubResponse of the Form runtime.

This avoids flickering and invalid HTML.

Change-Id: Ide095f358277f9787d54ff14fe9f4e32a7a6b06b
Fixes: #42562

History
#1 - 2012-10-31 15:31 - Bastian Waidelich
- Subject changed from Do not output content while processing a POST request to Interrupt form rendering when redirect finisher is triggered
- Status changed from New to Accepted
- Priority changed from Must have to Should have

#2 - 2012-11-02 21:18 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16151

#3 - 2013-10-21 16:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24935

#4 - 2013-10-29 15:36 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:94051a11083ec642d9a916b5d83b90e70c51a7f4.
